/* 
Theme Name: Onlinefarmacia
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Onlinefarmacia created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.30
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
:root{
    --Font-Familly: "Raleway", Sans-serif;
    --font-familly-sec: "Roboto", Sans-serif;
}

.pwb-brand-medtronic .bbd_auto {
    display: none;
}
.elementor-menu-cart__toggle_wrapper {
    display: flex !important;
    flex-direction: column;
}
.elementor-search-form__submit{
    margin: 3px !important;
    border-radius: 6px !important;
}
.single .elementor-icon-box-content h3.elementor-icon-box-title {
    margin-top: 0;
}

body:not(.single-product) .woocommerce-review-link, 
.e-loop-item .woocommerce-review-link{
    display: none;
}
.elementor-menu-cart__toggle_wrapper:after {
    text-align: center;
    content: "Cos";
    position: relative;
    font-family: var(--Font-Familly);
    font-size: 15px;
    font-weight: 500;
    line-height: 18px;
    letter-spacing: 0.17px;
}
.elementor-wc-products ul.products li.product .button{
    align-self: flex-end;
}
h2.woocommerce-loop-product__title,
h2.product_title.entry-title.elementor-heading-title.elementor-size-default {
    min-height: 36px;
}
.product_title,
ul.products li.product .woocommerce-loop-product__title{
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 !important;
}
.jet-checkboxes-list {
    background-color: #F9F9F9;
    padding: 20px;
    border-radius: 6px;
}
small.woocommerce-price-suffix {
    display: none;
}
#button_custom_icon .elementor-button-content-wrapper{
    align-items: center;
}
#button_custom_icon span.elementor-button-text {
    color: var(--e-global-color-primary);
}
#button_custom_icon:hover span.elementor-button-text {
    color: #fff;
}
.elementor-wc-products ul.products li.product .button {
    display: flex;
    align-items: center;
    width: 100%;
}
#button_custom_icon span.elementor-button-icon{
    content: "";
    display: flex;
    right: 10px;
    bottom: 10px;
    border-radius: 50%;
    background-color: var(--e-global-color-primary);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 5px;
    justify-content: center;
    align-items: center;
}
button.single_add_to_cart_button.button.alt {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10px 0 0;
    width: 40%;
}
.includes_tax span.woocommerce-Price-amount.amount{
    display: none;
}
.woocommerce table.shop_table td small {
    font-size: 12px;
    line-height: normal;
}
.woocommerce #reviews #comments ol.commentlist li img.avatar{
    border-radius: 50%;
}
button.single_add_to_cart_button.button.alt:before{
    content: "";
    display: block;
    width: 44px;
    height: 44px;
    right: 10px;
    bottom: 10px;
    color: var(--e-global-color-primary);
    fill: #fff;
    background-size: 67%;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjIiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgdmlld0JveD0iMCAwIDEwMjQgMTAyNCIgd2lkdGg9IjEwMjQiIGhlaWdodD0iMTAyNCI+PHN0eWxlPi5he2ZpbGw6I2ZmZn08L3N0eWxlPjxwYXRoIGNsYXNzPSJhIiBkPSJtNDY5LjMgMzg0aDg1LjR2LTEyOGgxMjh2LTg1LjNoLTEyOHYtMTI4aC04NS40djEyOGgtMTI4djg1LjNoMTI4em0tMTcwLjYgMzg0Yy00Ny4yIDAtODQuOSAzOC4yLTg0LjkgODUuMyAwIDQ3LjIgMzcuNyA4NS40IDg0LjkgODUuNCA0Ny4xIDAgODUuMy0zOC4yIDg1LjMtODUuNCAwLTQ3LjEtMzguMi04NS4zLTg1LjMtODUuM3ptNDI2LjYgMGMtNDcuMSAwLTg0LjkgMzguMi04NC45IDg1LjMgMCA0Ny4yIDM3LjggODUuNCA4NC45IDg1LjQgNDcuMiAwIDg1LjQtMzguMiA4NS40LTg1LjQgMC00Ny4xLTM4LjItODUuMy04NS40LTg1LjN6bS00MTkuMi0xMzguN3EwLTIuOCAxLjMtNS4xbDM4LjQtNjkuNWgzMTcuOWMzMiAwIDU5LjktMTcuNyA3NC42LTQ0bDE2NC43LTI5OS4xLTc0LjYtNDAuOWgtMC4ybC00Ny4yIDg1LjMtMTE3LjUgMjEzLjNoLTI5OS4zbC01LjYtMTEuNS05NS44LTIwMS44LTQwLjUtODUuMy00MC4zLTg1LjRoLTEzOS4zdjg1LjRoODUuM2wxNTMuNiAzMjMuNi01Ny44IDEwNC41Yy02LjYgMTIuNC0xMC41IDI2LjMtMTAuNSA0MS4yIDAgNDcuMSAzOC4yIDg1LjMgODUuNCA4NS4zaDUxMnYtODUuM2gtNDkzLjljLTYgMC0xMC43LTQuNy0xMC43LTEwLjd6Ii8+PC9zdmc+);
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 5px;
}
.elementor-wc-products ul.products li.product .button:before{
    content: "";
    display: block;
    right: 10px;
    bottom: 10px;
    border-radius: 50%;
    color: var(--e-global-color-primary);
    background-color: var(--e-global-color-primary);
    fill: #fff;
    background-size: 100%;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjIiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgdmlld0JveD0iMCAwIDEyNzYgMTIwOCIgd2lkdGg9IjEyNzYiIGhlaWdodD0iMTIwOCI+PHN0eWxlPi5he2ZpbGw6IzI1NTk0Nn0uYntmaWxsOiNmZmZ9PC9zdHlsZT48cGF0aCBjbGFzcz0iYSIgZD0ibTY1MyAxMjA4Yy0zMzQgMC02MDQtMjcwLTYwNC02MDQgMC0zMzQgMjcwLTYwNCA2MDQtNjA0IDMzNCAwIDYwNCAyNzAgNjA0IDYwNCAwIDMzNC0yNzAgNjA0LTYwNCA2MDR6Ii8+PHBhdGggY2xhc3M9ImIiIGQ9Im02MzUuOCA1MjkuMmg1OS41di04OS4zaDg5LjR2LTU5LjZoLTg5LjR2LTg5LjNoLTU5LjV2ODkuM2gtODkuM3Y1OS42aDg5LjN6bS0xMTkgMzg3LjFjLTMyLjggMC01OS40LTI2LjYtNTkuNC01OS41IDAtMzMgMjYuNi01OS42IDU5LjQtNTkuNiAzMi45IDAgNTkuNCAyNi42IDU5LjQgNTkuNiAwIDMyLjktMjYuNSA1OS41LTU5LjQgNTkuNXptMjk3LjggMGMtMzIuOCAwLTU5LjQtMjYuNi01OS40LTU5LjUgMC0zMyAyNi42LTU5LjYgNTkuNC01OS42IDMyLjkgMCA1OS40IDI2LjYgNTkuNCA1OS42IDAgMzIuOS0yNi41IDU5LjUtNTkuNCA1OS41em0tMjkyLjctMjE1LjlxMC0yIDAuOS0zLjVsMjYuOC00OC42aDIyMS44YzIyLjQgMCA0MS45LTEyLjMgNTIuMS0zMC43bDExNS0yMDguNy01Mi4xLTI4LjZoLTAuMmwtMzIuOSA1OS42LTgyIDE0OC45aC0yMDguOWwtMy45LTguMS02Ni44LTE0MC44LTI4LjMtNTkuNi0yOC4yLTU5LjZoLTk3LjJ2NTkuNmg1OS42bDEwNy4yIDIyNS45LTQwLjQgNzIuOWMtNC42IDguNy03LjMgMTguMy03LjMgMjguOCAwIDMyLjkgMjYuNyA1OS41IDU5LjYgNTkuNWgzNTcuM3YtNTkuNWgtMzQ0LjdjLTQuMSAwLTcuNC0zLjMtNy40LTcuNXoiLz48L3N2Zz4=);
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 5px;
}
a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
    display: flex !important;
    flex-wrap: wrap;
    align-items: center;
}

ul.tabs.wc-tabs li a {
    padding: 0 20px 10px !important;
    text-align: center;
}
.add-to-wishlist-before_image .yith-wcwl-add-to-wishlist i {
    font-size: 1.2rem;
    margin: 0;
}
.iconic-woothumbs-wishlist-buttons a svg{
    height: 30px !important;
    width: 30px !important; 
}
.add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
    left: inherit;
    top: 15px;
    right: 15px;
}
/* .elementor-widget-woocommerce-product-data-tabs {
    max-width: 1120px !important;
} */
 .elementor-widget-woocommerce-product-data-tab{
    width: 100%;
 }
 .woocommerce div.product.elementor ul.tabs{
    text-align: center;
 }
 .woocommerce #review_form #respond .form-submit input {
    color: #fff;
    background-color: var(--e-global-color-primary);
}
 .woocommerce-tabs .woocommerce-Tabs-panel {
    max-width: 993px;
}
.woocommerce .e-loop-item .price bdi {
    color: #DC3545;
    font-family: var(--font-familly-sec);
}


.sale-prod {
    color: #fff;
    background-color: #DC3545;
    font-size: 18px;
    font-weight: 600;
    border-radius: 2px;
    padding: 5px 10px;
}
.single .product_page_details span.woocommerce-Price-amount.amount bdi {
    color: #DC3545;
    font-family: var(--font-familly-sec);
}

.woocommerce div.product .woocommerce-tabs ul.tabs li{ border: 0; margin: 0}
.woocommerce-tabs ul.wc-tabs li.active  a{
    border-bottom: 2px solid var(--e-global-color-primary) !important;
}
.woocommerce-tabs h2.yikes-custom-woo-tab-title {
    display: none;
}
.woocommerce-tabs ul.wc-tabs li:hover a {
   color: var(--e-global-color-primary) !important;
}
.woocommerce-tabs ul.wc-tabs li {
 
    vertical-align: top;
}
.home p.price{
    margin-bottom: 0;
    width: 100%;
}

.home .price{
    width: 100%;
}

.price ins, .woocommerce div.product p.price ins, .woocommerce div.product span.price ins{
    text-decoration: none;
}
/* .home .price del {
    font-size: 12px;
    font-weight: 600;
    line-height: 15px;
    letter-spacing: 0.13px;
    color: #7A7A7A;
    opacity: 0.5;
} */
.home a.woocommerce-LoopProduct-link.woocommerce-loop-product__link .star-rating {
    width: 100%;
    order: 3;
}

.home a.woocommerce-LoopProduct-link.woocommerce-loop-product__link {
    display: flex !important;
    flex-wrap: wrap;
}
.form_box span.wpcf7-not-valid-tip {
    position: absolute;
}
.form_box input.wpcf7-form-control.wpcf7-submit.has-spinner {
    font-size: 25px;
    background-color: #DC3545;
    color: #fff;
    border-radius: 0;
    padding: 10px 35px;
}
.form_box .wpcf7-email {
    border-radius: 0;
    background-color: #F2F3F5;
    border-color: #F2F3F5;
    font-size: 25px;
    padding: 20px 35px;
    text-align: center;
}
.wpcf7-response-output{
    background-color: #fff;
}
.form_box p {
    display: flex;
    justify-content: center;
}
.form_box span.wpcf7-spinner {
    position: absolute;
    top: 20%;
}
.top_badge svg {
    opacity: 0.2;
}
.menu-meniu-principal-container > .jet-custom-nav > .menu-item:not(:last-child) > a.jet-custom-nav__item-link {
    border-bottom: 0.5px solid #d5d5d5;
}
.menu-meniu-principal-container .jet-custom-nav {
    border-radius: 0  0 6px 6px;
}
.elementor-widget-sidebar .elementor-widget-container > div {
    margin-bottom: 35px;
}
.filter_box_active ::marker,
.elementor-widget-sidebar ::marker {
    content: "" !important;
    display: none;
}
.filter_box h2.widgettitle{
    letter-spacing: 0.24px;
    color: #000000;
    font-size: 22px;
    line-height: 26px;
}

.filter_box {
    font-family: var(--e-global-typography-primary-font-family);
}

.filter_box li, 
.filter_box a{
    font-size: 17px;
    color: #000;
    font-weight: 500;
    line-height: 20px;
}
.filter_box .elementor-widget-container > div,
.filter_box .pwb-filter-products {
    background-color: #F9F9F9;
    padding: 30px !important;
    border-radius: 6px;
}
.filter_box ul.woocommerce-widget-layered-nav-list > li:not(:last-child),
.filter_box .elementor-widget-container > li:not(:last-child) {
    padding-bottom: 30px;
}
.filter_box .elementor-widget-container ul {
    list-style-type: none;
    padding: 0px;
}
.filter_box ul.woocommerce-widget-layered-nav-list:not(:last-child),
.pwb-filter-products li:not(:last-child),
.filter_box ul.product-categories li:not(:last-child) {
    padding-bottom:18px
}

.filter_box ul.woocommerce-widget-layered-nav-list .count{
    display: none;
}
.filter_box .woocommerce-widget-layered-nav-list  li.woocommerce-widget-layered-nav-list__item.wc-layered-nav-term:not(.woocommerce-widget-layered-nav-list__item--chosen.chosen) a:before {
    margin-right: 5px;
    width: 13px;
    height: 13px;
    position: relative;
    background: #fff;
    padding: 5px;
    border: 1px solid rgb(0 0 0);
    border-radius: 2px;
    color: white;
    font-weight: bold;
    content: "";
    display: inline-block;
}

.filter_box_active .elementor-widget-container h4{
    margin-top: 0;
}

.filter_box_active .elementor-widget-container > div{
    margin-bottom: 0;
}
.filter_box_active ul {
    padding-left: 0;
}
.filter_box_active li.chosen a:before {
    font-family: WooCommerce;
    speak: never;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    margin-right: .618em;
    content: "\e013";
    text-decoration: none;
    color: #a00;
}

li.chosen a{
    color: #000;
}
form.cart {
    align-items: center;
}
.elementor-menu-cart__subtotal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.elementor-menu-cart__subtotal small.tax_label {
    font-size: 12px;
    font-weight: 300;
}
.availability-label, 
form.cart [for="quantity"]{
    margin-right: 10px;
    color: #000000;
    font-family: var(--Font-Familly);
    font-size: 15px;
    font-weight: 700;
    line-height: 27px;
    letter-spacing: 0.24px;
}
.banner_box .e-con-inner {
    position: relative;
}
.filter_box ul.product-categories li:before {
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    margin-right: 5px;
    font-size: 14px;
}
ul.product-categories {}


.filter_box .elementor-widget-container ul {
    overflow-y: auto
}

    .filter_box .elementor-widget-container ul:first-child {
        margin-top:10px
    }
    .filter_box .elementor-widget-container ul {
        max-height:407px
    }

   .filter_box .elementor-widget-container ul:last-child {
        padding-bottom: 0;
        margin-bottom: 9px
    }
    .filter_box .elementor-widget-container ul::-webkit-scrollbar {
        width:12px;
        height: 6px;
        -webkit-appearance: none
    }

   .filter_box .elementor-widget-container ul::-webkit-scrollbar-thumb {
        border-radius: 8px;
        border: 3px solid white;
        background-color: rgba(0,0,0,0.3)
    }

    .filter_box .elementor-widget-container ul::-webkit-scrollbar-thumb:hover {
        background-color: rgba(0,0,0,0.55)
    }

    .filter_box .elementor-widget-container ul::-webkit-scrollbar-thumb:horizontal {
        border: none;
        border-radius: 3px
    }

    .filter_box .elementor-widget-container ul::-webkit-scrollbar-track {
        background-color: #fff
    }
    .iconic-woothumbs-wishlist-buttons{
        z-index: 1 !important;
    }
.home .e-n-menu-content > div {display: flex !important;}
.woocommerce ul.products li.product .price del,
.woocommerce div.product p.price del, .woocommerce div.product span.price del{
    opacity: 1;
}
.woocommerce nav.woocommerce-pagination ul li {
    border-radius: 50%;
    width: 32px;
    height: 32px;
}
p.stars a,
p.stars:hover a,
p.stars.selected a {
    color: #EEB343;
}
.woocommerce .star-rating span::before {
    color: #EEB343;
}

/* Checkout START */
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table thead th,
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table thead td{
    border-bottom: 1px solid #bbb !important;
    padding-bottom: 0px;
    margin-bottom: 10px;
}
.woocommerce-checkout .elementor-location-footer{
    margin-top: 90px;
}

.woocommerce-checkout .order-total td,
.woocommerce-checkout .cart-subtotal td{
    text-align: right;
}
.woocommerce-checkout .e-checkout__container h3:not(#ship-to-different-address){
    margin-bottom: 20px !important;
    margin-top: 10px !important;
}
.woocommerce-checkout bdi {
    font-family: 'Roboto' !important;
}
.woocommerce-checkout strong.product-quantity {
    font-weight: 700 !important;
}
p#shipping_country_field,
p#billing_country_field {
    display: none;
}

#custom_checkout_radio_field h3 {
    margin-bottom: 10px;
    font-size: 1.2em;
}

#custom_checkout_radio_field .form-row-wide {
    margin-bottom: 20px;
}

#custom_checkout_radio_field input[type="radio"] {
    margin-right: 5px;
}

@media (max-width: 768px) {
    .woocommerce-checkout .elementor-widget-jet-mobile-menu {
        display: none !important;
    }
    .woocommerce-checkout td.product-total{
        text-align: right;;
    }
    /* .products .product.promo_box:before {
        content: "";
        position: absolute;
        top: 15px;
        left: 15px;
        width: 45px;
        height: 45px;
        z-index: 10;
        background: url(/wp-content/uploads/2024/07/Icon-produs-surpriza.png);
        background-size: cover;
    } */
    #custom_checkout_radio_field .form-row-wide {
        display: block;
        width: 100%;
    }

    #custom_checkout_radio_field input[type="radio"] {
        margin-bottom: 10px;
    }
}
.woocommerce form .form-row .optional{
    visibility: hidden;
}
.woocommerce-terms-and-conditions-wrapper label.woocommerce-form__label.woocommerce-form__label-for-checkbox.checkbox input {
    display: none;
}
.woocommerce-checkout-review-order-table .cart_item td.product-name {
    padding-right: 40px;
    max-width: 100%;
}
#custom_checkout_radio_field h3 {
    margin-bottom: 10px;
    font-size: 1.2em;
}
#payment .payment_methods li img {
    float: right;
    border: 0;
    padding: 0;
    max-height: 1.618em;
}
.payment_box.payment_method_sn_wc_mobilpay,
.payment_box.payment_method_cod {
    display: none !important;
}
.custom-radio-buttons .form-row-wide {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.custom-radio-buttons label {
    display: none; /* Ascundem eticheta default */
}

.custom-radio-buttons .radio {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.custom-radio-buttons input[type="radio"] {
    display: none;
}

.custom-radio-buttons .radio label {
    background-color: #f0f0f0;
    border: 1px solid #d9d9d9;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s;
    
}
.custom-radio-buttons label{
    padding: 10px 20px;
    border-radius: 5px;
}
.custom-radio-buttons input[type="radio"]:not(:checked) + label {
    border: 1px solid var(--e-global-color-primary);
    background-color: #fff !important;
}
.custom-radio-buttons input[type="radio"]:checked + label {
    border: 1px solid var(--e-global-color-primary);
    background-color: var(--e-global-color-primary);
    color: #ffffff !important;
}
#tip_client_field > label[for="tip_client_fizica"] {
    padding: 0;
}
#tip_client_field span.woocommerce-input-wrapper {
    display: flex;
    gap: 20px;
}
.custom-radio-buttons input[type="radio"]:checked + label {
    display: flex !important;
    justify-content: center;
    align-items: center;
}
.custom-radio-buttons input[type="radio"]:checked + label::before {
    display: flex;
    content: '\f00c';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    position: relative;
    right: 10px;
    top: 43%;
    transform: translateY(-50%);
    color: #ffffff;
}
@media (max-width: 768px) {
    .custom-radio-buttons .form-row-wide {
        flex-direction: column;
    }
}
.woocommerce table.shop_table tr:not(.order-total) td small,
.woocommerce-checkout .checkout_hidden{
    display: none !important;
}
.woocommerce-checkout td.product-total bdi {
    font-weight: 600;
}
.woocommerce-checkout th.product-total {
    text-align: right;
}
.woocommerce-checkout tr.order-total td {
    display: flex;
    flex-direction: column;
}
.elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button{
    font-size: 28px !important;
}
.woocommerce-cart td.product-name a {
    font-family: var(--Font-Familly);
    font-weight: 600;
    font-size: 16px;
    color: #000 !important;
}
button#select_locker {
    background-color: var(--e-global-color-primary);
}
button#select_locker:hover{
    background-color: var(--e-global-color-secondary);
}
.woocommerce-cart .cart_totals.calculated_shipping h2,
.woocommerce-cart tr.woocommerce-shipping-totals.shipping,
.woocommerce-cart tr.order-total {
    display: none;
}
.woocommerce-cart th.product-price, .woocommerce-cart  td.product-price {
    display: none;
}
.ctdb-topic a,
li.ctdb-topic-table-topic > p > a{
    font-family: var(--Font-Familly);
    color: #000;
    font-weight: bold;
    font-size: 23px;
}
.ctdb-excerpt p:first-child{
    display: none;
}
.ctdb-topic {
    background-color: #F6F6F6;
    padding: 23px;
    border-radius: 14px;
}
a.ctdb-button {
    background-color: #0FAC50;
    color: #fff;
    font-family: var(--Font-Familly);
    font-weight: bold;
    font-size: 19px;
    line-height: 22px;
    padding: 10px;
    display: inline-block;
    border-radius: 3px;
}
p.stock.in-stock {
    color: var(--e-global-color-primary) !important;
    font-weight: 400;
}
.availability {
    display: flex;
    gap: 10px;
}
a.ctdb-button:hover {
    background-color: var( --e-global-color-primary )
}
.ctdb-span-3 .dashicons {
    display: none;
}
.ctdb-topic h2 {
    order: 1;
    margin-bottom: 5px;
}
.ctdb-span-3 {
    font-family: var(--Font-Familly);
}

.ctdb-information-bar {
    order: 2;
    opacity: 0.3;
    font-weight: bold;
    font-size: 20px;
    margin-bottom: 15px;
}

.ctdb-excerpt {
    order: 3;
}
.elementor-shortcode .ctdb-topic{
    display: flex;
    flex-direction: column;
}
form.dgwt-wcas-search-form > .dgwt-wcas-sf-wrapp {
    background-color: #FFFFFF;
    border-radius: 6px;
    min-height: 50px;
    display: flex;
    transition: .2s;
    overflow: hidden;
    border: 1px solid #D4D4D4 !important;
}
.elementor-widget-woocommerce-cart .woocommerce .input-text.qty{
    text-align: center;
}
table.thwepo-extra-options tr {
    display: flex;
    flex-direction: column;
}
table.thwepo-extra-options  label {
    margin-left: 0 !important;
}
table.thwepo-extra-options tr td {
    padding-bottom: 0;
}
.elementor-menu-cart__wrapper .product-thumbnail img,
td.product-thumbnail img {
    border-radius: 6px;
}
table.thwepo-extra-options td:not(:last-child){
    padding: 1em 1.41575em 0 !important;
}
table.thwepo-extra-options td:last-child{
    padding: 10px 1.41575em 1em !important;
}

table.thwepo-extra-options th {
    padding: 1em 1.41575em !important;
}
table.thwepo-extra-options td, table.thwepo-extra-options th {
    text-align: left;
    vertical-align: top;
}
form.cart table.thwepo-extra-options label.label-tag {
    display: inline;
    word-break: unset;
}
table.thwepo-extra-options td.value.leftside label{
    margin-bottom: 10px;
}
label.label-tag.persoana_fizica_juridica {
    font-weight: 700;
}
table.thwepo-extra-options td.value.leftside {
    display: flex;
    flex-direction: column;
}
.declaration_form_field p label {
    margin-right: 10px;
    width: calc(50% - 10px);
}
input.wpcf7-form-control.wpcf7-submit {
    background-color: var(--e-global-color-primary);
    color: #fff;
    font-family: var(--Font-Familly);
    border-color: var(--e-global-color-primary);
}
input.wpcf7-form-control.wpcf7-submit:hover {
    background-color: var(--e-global-color-secondary);
    color: #fff;
    border-color: var(--e-global-color-secondary);
}
.declaration_container {  
    overflow-y: auto;        
    border: 1px solid #ccc;  
    padding: 10px;           
    position: relative;    
    background-color: #f3f3f3;
    border-radius: 3px;  
  }
  button#wc_bis_send_form {
    font-family: var(--Font-Familly) !important;
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.14px;
    background-color: var(--e-global-color-primary);
    transition: all 0.2s;
    color: #fff;
}
input.woocommerce-button.button.pi-cancel-request-submit-button,
#fme_oc_confirm_btn,
#fme_oc_cancel_order_btn{
    font-family: var(--Font-Familly) !important;
    font-size: 18px !important;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.14px;
    background-color: var(--e-global-color-primary) !important;
    transition: all 0.2s;
    color: #fff !important;
    border: 0;
}
#fme_oc_confirm_modal button.btn.btn-light{
    color: #000;
}
input.woocommerce-button.button.pi-cancel-request-submit-button:hover,
#fme_oc_confirm_modal button.btn.btn-light:hover,
#fme_oc_confirm_btn:hover,
#fme_oc_cancel_order_btn:hover{
    background-color: var(--e-global-color-secondary) !important;
    color: #fff !important;
}
.woocommerce-message {
    border: 2px solid #66a24d;
    border-radius: 5px;
    background: #f4f9f2;
    margin-bottom: 10px;
    position: relative;
}
.woocommerce-error {
    border: 2px solid #DC3545;
    border-radius: 5px;
    background: #fde7e9;
    margin-bottom: 10px;
    position: relative;
    color: #DC3545;
}
.custom-cancel-request-message {
    border: 2px dotted #4CAF50;
    border-radius: 5px;
    background: #f4f9f2;
    margin-bottom: 10px;
    position: relative;
    padding: 25px;
    text-align: center;
    font-size: 22px;
    color: #4CAF50;
}
#fme_oc_confirm_modal p#fme_oc_note {
    display: none !important;
}
#fme_oc_confirm_modal h4 {
    font-size: 14px;
}
.cancellation_reason_table td{
    border: 0;
}

.woocommerce-backinstock table.shop_table {
    border: 0;
}
a.woocommerce-button.button.pi_cancel_request_form {
    margin-left: 10px;
}
/* .woocommerce-orders th.woocommerce-orders-table__header.woocommerce-orders-table__header-cancel_order,
.woocommerce-orders td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-cancel_order, */
.woocommerce-backinstock .woocommerce-notifications-activity-table,
.woocommerce-backinstock table + h2,
select#fme_oc_reasonss [value="custom"],
table.cancellation_reason_table + table,
a.woocommerce-button.button.pi_reorder,
p.order-again {
    display: none !important;
}
span.wpcf7-list-item {
    margin-left: 0;
}
.declaration_form_field.full_width label{
    width: 100%;
}
.woocommerce-backinstock td.woocommerce-orders-table__cell.woocommerce-backinstock-table__cell__product a{
    color:  var(--e-global-color-primary) !important;
}
.wc_bis_loop_signup_prompt_container a{
    color: var(--e-global-color-primary);
    font-weight: bold;
}
.wc_bis_loop_signup_prompt_container a:hover{
    color: var(--e-global-color-secondary);
}
button#wc_bis_send_form:hover {
    background-color: var(--e-global-color-secondary);
    color: #fff;
}
button#wc_bis_send_form {
    margin-bottom: 10px !important;
} 
#wc_bis_product_form {
    margin: 0;
}
.declaration_form_field p {
    display: flex;
}
table.thwepo-extra-options tr td.label.leftside {
    padding-bottom: 0 !important;
}
table.thwepo-extra-options tbody>tr:nth-child(odd)>td, table.thwepo-extra-options tbody>tr:nth-child(odd)>th {
    background-color: hsla(0, 0%, 50.2%, .0705882353);
    border-radius: 7px;
}
/* table:not(.has-background) tbody td {
    background-color: #fdfdfd;
} */
table.wishlist_table.wishlist_view.traditional.responsive {
    background: var(--sections-background-color, #fff);
    border-radius: var(--sections-border-radius, 3px);
    padding: var(--sections-padding, 16px 20px);
    margin: var(--sections-margin, 0 0 24px 0);
    border: 1px var(--sections-border-type, solid) var(--sections-border-color, #d5d8dc);
   
}
 table.wishlist_table th{
   border: 0 !important;
     
 }
 table.wishlist_table td, table.wishlist_table th {
    background-color: transparent !important;
    border: 0 !important;
    border-bottom: var(--order-summary-quantity-border-weight, 1px) solid var(--order-summary-quantity-border-color, #d5d8dc) !important;
}
.wishlist_table td.product-name {
    font-family: 'Raleway';
    font-size: 18px;
    font-weight: 600;
}
.wishlist_table td.product-name a{
    color: var(--e-global-color-primary);
}
.wishlist_table td.product-name a:hover{
    color: var(--e-global-color-secondary);
}
.wishlist_table th.product-stock-status, .wishlist_table th.product-price {
    text-align: center;
}
.wishlist_table td.product-add-to-cart a {
    font-family: var(--Font-Familly);
    font-size: 15px !important;
    font-weight: 700 !important;
    text-transform: uppercase !important;
    letter-spacing: 0.14px !important;
    background-color: var(--e-global-color-primary) !important;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10px 0 0 !important;
    width: 100%;

}
.wishlist_table td.product-add-to-cart a:hover{

    background-color: var(--e-global-color-secondary) !important;
}
.dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit:before{
    display: none;
}
.dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit {
    color: var(--e-search-form-submit-text-color, #fff) !important;
    border: none !important;
    min-width: 50px !important;
    background-color: #E5B558 !important;
    position: relative !important;
    height: auto !important;
    margin: 3px !important;
    border-radius: 6px !important;
}
.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input{
  
}
.dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input{
    min-height: 50px;
}
.menu-item a {
    color: #000;
}
.comment-respond [type=button], .comment-respond [type=submit], .comment-respond  button{
    background-color: var(--e-global-color-primary);
    border-color: var(--e-global-color-primary);
    color: #fff;
}
.comment-respond [type=button]:hover, .comment-respond [type=submit]:hover, .comment-respond  button:hover{
    background-color: var(--e-global-color-secondary);
    border-color: var(--e-global-color-secondary);
    color: #fff;
}
span.jet-custom-item-desc.top-level-desc{
    display: none !important;
}
.elementor-menu-cart__product .variation {
    display: flex !important;
    flex-direction: column;
}
.custom_badge img {
    width: 30px !important;
    margin-bottom: 0 !important;
    height: min-content !important;
}
.custom_badge {
    position: relative;
    /* top: 230px; */
    /* right: 5px; */
    display: flex;
    gap: 5px;
    margin-top: -40px;
    margin-bottom: 10px;
    align-items: center;
    justify-content: end;
}
.custom_badge_product_page img {
    width: 65px;
    margin-bottom: 0 !important;
    height: min-content;
}
.custom_badge_product_page {
    position: relative;
    display: flex;
    gap: 10px;
    align-items: center;
}
ul.products.elementor-grid.columns-3 li.sale.add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
    display: none;
}

@media (min-width: 785px){

    /* .products .product.promo_box:before {
        content: "";
        position: absolute;
        top: 15px;
        left: 15px;
        width: 70px;
        height: 70px;
        z-index: 10;
        background: url(/wp-content/uploads/2024/07/Icon-produs-surpriza.png);
        background-size: cover;
    } */
    .custom_menu a {
        padding: 10px 0; 
        display: inline-block;
    }
    .declaration_container {
        height: 520px;      
    }
    .elementor-widget-woocommerce-cart .woocommerce table.cart img {
        width: 125px !important;
    }
    .woocommerce #reviews #comments h2 {
        font-size: 21px;
        font-weight: 500;
    }
    .woocommerce #review_form #respond .form-submit input {
        width: 100%;
        padding: 20px;
        font-size: 23px;
        letter-spacing: 2px;
    }
    .elementor-wc-products ul.products li.product {
        display: flex !important;
        flex-wrap: wrap;
        flex-grow: 1
    }
    .elementor-wc-products ul.products li.product .button:before{
        width: 44px;
        height: 44px;
    }
    .woocommerce-checkout td.product-total {
        text-align: right;
    }
    .elementor-widget-woocommerce-checkout-page .woocommerce-checkout .form-row-first{
        width: calc(50% - 10px) !important;
    }
    .elementor-widget-woocommerce-checkout-page .woocommerce-checkout .form-row-last{
        width: 50% !important;
    }
    .form-row-div-4:not(#billing_address_ap_field) {
        display: block;
        width: calc(25% - 10px);
        float: left;
        margin-right: 10px !important;
    }
    #billing_address_ap_field {
        display: block;
        width: calc(25%);
        float: left;
    }
    p#shipping_state_field,
    p#billing_state_field {
        width: calc(50% - 10px);
        float: left;
        margin-right: 0%;
    }
    p#shipping_city_field, p#billing_city_field {
        width: 50%;
        float: right;
        clear: none;
        margin-right: 0px;
    }
    h2.woocommerce-Reviews-title {
        text-align: center;
        width: 60%;
        margin: auto;
    }
    
    h2.woocommerce-Reviews-title span {
        line-height: 20px;
        font-size: 16px;
        display: inline-block;
        text-align: center;
        margin-bottom: 35px;
        font-weight: 500;
    }
    div#review_form_wrapper,
    .woocommerce #reviews #comments ol.commentlist{
        width: 900px;
        margin: auto;
    }
    p.woocommerce-noreviews,
    .woocommerce #review_form #respond {
        margin-left: 90px;
    } 
    .form_box label{
        max-width: 50%;
    }
    .hide_desktop{
        display: none;
    }

    .woocommerce .e-loop-item .price bdi{
        font-size: 18px;
        font-weight: 700;
        line-height: 22px;
        letter-spacing: 0.2px;
    }

    #button_custom_icon span.elementor-button-icon{
        font-size: 23px;
        width: 44px;
        height: 44px;
    }
    form.woocommerce-ResetPassword.lost_reset_password p.woocommerce-form-row.woocommerce-form-row--first.form-row.form-row-first {
        width: 50% !important;
    }
    .single .product_page_details span.woocommerce-Price-amount.amount bdi {
        font-size: 27px;
        text-decoration: none;
        line-height: 33px;
        font-weight: 700;
    }
    .pwb-brand-shortcode {
        display: flex;
    }
    
}
.check-all-button button:hover{
    border: 0;
    background-color: var(--e-global-color-secondary) !important;
}
.check-all-button button,
button.return_replace_button.button {
    color: #fff;
    border: 0;
    background-color: var(--e-global-color-primary) !important;
}
a.woocommerce-button.button.refund{
    margin-left: 10px;
}
.elementor-menu-cart__container{
    z-index: 10009 !important;
}
.woocommerce-Tabs-panel--description h2 {
    display: none;
}
.elementor-widget-text-editor a {
    color: var(--e-global-color-primary);
}
body:not(.discussion-topics-template-default) .page-header h1.entry-title {
    text-align: center;
    font-family: var(--Font-Familly);
}
.woocommerce-Tabs-panel--prospect a {
    color: var(--e-global-color-primary);
    font-weight: 600;
}
/* Dezactivează transformările și efectele de zoom pentru elementele care conțin video */
.wcgs-slider-image video {
    position: relative;
    z-index: 10;
}

.wcgs-slider-image[data-scale="1.5"] .wcgs-photo {
    display: none;
}

.wcgs-slider-image[data-scale="1.5"] iframe,
.wcgs-slider-image video {
    transform: none !important;
    transition: none !important;
}

.wcgs-slider-image[data-scale="1.5"] {
    pointer-events: none;
}

.wcgs-slider-image[data-scale="1.5"] iframe,
.wcgs-slider-image video {
    pointer-events: auto;
}
.wcgs-slider-image video {
    background-color: #000;
    width: 100%;          /* Lățimea completă a containerului */
    height: auto;         /* Înălțimea automată pentru a păstra aspectul original */
    max-width: 100%;      /* Asigură-te că nu depășește dimensiunea containerului */
    aspect-ratio: 1 / 1;  /* Forțează aspectul pătrat */
    object-fit: contain;    /* Asigură-te că video-ul acoperă întregul pătrat */
    display: block;
}
.wcgs-slider-image{
    width: 100%;
}
.header_ham .e-n-menu-item{
    width: 100%;
}
.wishlist_table .product-add-to-cart a.button{
    width: 100% !important;
    flex-direction: column;
}
@media (max-width: 785px){
    .single .product_page_details span.woocommerce-Price-amount.amount bdi {
        font-size: 23px;
        text-decoration: none;
        line-height: 33px;
        font-weight: 700;
    }
    .declaration_container {
        height: 120px;      
    }
    .iconic-woothumbs-all-images-wrap {
        margin-bottom: 0 !important;
    } 
    #button_custom_icon span.elementor-button-icon{
        font-size: 18px;
        width: 35px;
        height: 35px;
    }
    .woocommerce .e-loop-item .price bdi{
        color: #DC3545;
        font-family: var(--font-familly-sec);
        font-size: 14px;
        font-weight: 700;
        line-height: 22px;
        letter-spacing: 0.2px;
    }
    .filter_box_mobile {
        display: none;
    }
    .form_box p{
        flex-direction: column;
        gap: 20px;
    }
    .form_box input.wpcf7-form-control.wpcf7-submit.has-spinner{
        border: 0;
    }
    .elementor-menu-cart__toggle_wrapper:after,
    .right_header .elementor-icon-box-content{
        display: none;
    }
    .elementor-wc-products ul.products li.product .button:before{
        width: 35px;
        height: 35px;
    }
    .wc_bis_loop_signup_prompt_container{
        font-size: 12px;
        line-height: 15px;
    }
    .home .swiper.elementor-loop-container.elementor-grid.offset-right.swiper-initialized.swiper-horizontal {
        margin-right: 0;
    }
    .footer_mobile .e-n-accordion-item-title {
        border: 0;
        margin-bottom: 10px;
        background-color: #EEB343;
        height: 53px;
    }
    .footer_mobile span.e-n-accordion-item-title-icon {
        position: absolute !important;
        right: 25px !important;
    }
    .footer_mobile .elementor-nav-menu li a {
        text-align: center !important;
        justify-content: center;
    }
    .filter_box_mobile {
        position: fixed;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
        background-color: white;
        z-index: 1000;
        animation-name: fadeInLeft,hide;
        animation-duration: 1s;
        animation-delay: 0s,3s;
        animation-fill-mode: both;
        padding: 20px;
        overflow-y: auto; /* Permite scroll vertical */
    }
    
    .filter_box_mobile.active {
        left: 0;
        animation-name: fadeInLeft,hide;
        animation-duration: 1s;
        animation-delay: 0s,3s;
        animation-fill-mode: both;
    }
    
    .filter_box_mobile .close-btn {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: transparent;
        border: none;
        font-size: 24px;
        cursor: pointer;
        position: absolute;
        z-index: 9;
        padding: 0;
        top: 0;
        right: 0;
        color: #000;
    }
    .e-add-to-cart--show-quantity-yes {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: #fff;
        z-index: 990;
    }
    form.cart [for="quantity"]{
        display: none;
    }
    button.single_add_to_cart_button.button.alt {
        width: 78%;
    }
    .woocommerce #reviews #comments h2 {
        font-size: 16px;
        font-weight: 500;
        line-height: 23px;
    }
    nav.woocommerce-breadcrumb{
        overflow: auto;
        white-space: nowrap;
        padding: 15px 0px !important;
    }

    .brand_logo {
        width: 130px;
        position: absolute;
        right: 5px;
        top: -10px;
    }
    .woocommerce div.product.elementor ul.tabs {
        padding: 0;
    }
    .elementor-widget-woocommerce-cart .woocommerce table.cart img {
        width: 50% !important;
        margin: auto;
    }
    .woocommerce div.product.elementor ul.tabs li a {
        width: 100%;
        text-align: left;
        margin-bottom: 10px;
    }
    .woocommerce-Tabs-panel--description h2{
        display: none;
    }
    .woocommerce-cart table.cart .product-thumbnail:before {
        display: none;
    }
    .woocommerce-page table.cart .product-thumbnail {
        display: inline-block !important;
    }
    .woocommerce div.product.elementor ul.tabs li {
        width: 100%;
    }
    .woocommerce-cart .checkout_hidden,
    .woocommerce-cart tr.cart-subtotal {
            display: none !important;
    }
    .custom-radio-buttons input[type="radio"]:checked + label{
        font-size: 13px !important;
    }
    .elementor-widget-woocommerce-checkout-page .woocommerce-checkout #payment .payment_methods li label img {
        width: 121px !important;
        margin: 10px 0 0 0 !important;
    }
    .woocommerce-checkout .header_box .elementor-widget-theme-site-logo.elementor-widget-image,
    .woocommerce-cart .header_box .elementor-widget-theme-site-logo.elementor-widget-image {
        position: absolute;
        left: 0;
        right: 0;
        width: 50%;
        margin: auto;
    }
    .menu-item {
        border-bottom-color: #D5D5D5;
        border-bottom-style: solid;
        border-bottom-width: 1px;
            padding: 10px 0;
    }
}


.mesaj-sarbatori {
    background: #fff3cd;
    border: 1px solid #ffc107;
    border-left: 4px solid #ffc107;
    padding: 12px 15px;
    margin: 15px 0;
    border-radius: 4px;
    font-size: 14px;
    color: #856404;
}

.mesaj-sarbatori-checkout {
    margin-bottom: 20px;
}